var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __reExport = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toModule = (module2) => {
  return __reExport(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? { get: () => module2.default, enumerable: true } : { value: module2, enumerable: true })), module2);
};
__export(exports, {
  default: () => DSM_default
});
var React = __toModule(require("react"));
var import_StyledSvg = __toModule(require("./StyledSvg"));
const DefaultColor = "#ed6c53";
function DSM({
  size = 16,
  color = DefaultColor
}) {
  return /* @__PURE__ */ React.createElement(import_StyledSvg.default, {
    width: size,
    height: size,
    viewBox: "0 0 19 19",
    fill: color
  }, /* @__PURE__ */ React.createElement("defs", null, /* @__PURE__ */ React.createElement("linearGradient", {
    id: "prefix__a",
    gradientUnits: "userSpaceOnUse",
    x1: 8.038,
    y1: 108.042,
    x2: 168.871,
    y2: 70.263,
    gradientTransform: "scale(.11177)"
  }, /* @__PURE__ */ React.createElement("stop", {
    offset: 0,
    stopColor: "#ff6c2e"
  }), /* @__PURE__ */ React.createElement("stop", {
    offset: 1,
    stopColor: "#f3725a",
    stopOpacity: 0
  })), /* @__PURE__ */ React.createElement("linearGradient", {
    id: "prefix__b",
    gradientUnits: "userSpaceOnUse",
    x1: 136.489,
    y1: 41.118,
    x2: 6.959,
    y2: 139.345,
    gradientTransform: "scale(.11177)"
  }, /* @__PURE__ */ React.createElement("stop", {
    offset: 0,
    stopColor: "#ffa756"
  }), /* @__PURE__ */ React.createElement("stop", {
    offset: 1,
    stopColor: "#f8765e",
    stopOpacity: 0
  }))), /* @__PURE__ */ React.createElement("path", {
    d: "M18.906 9.438c0 5.203-4.222 9.425-9.426 9.425-5.207 0-9.425-4.222-9.425-9.425A9.424 9.424 0 019.48.011c5.204 0 9.426 4.218 9.426 9.425zm0 0"
  }), /* @__PURE__ */ React.createElement("path", {
    d: "M18.906 9.438c0 5.203-4.222 9.425-9.426 9.425-5.207 0-9.425-4.222-9.425-9.425A9.424 9.424 0 019.48.011c5.204 0 9.426 4.218 9.426 9.425zm0 0"
  }), /* @__PURE__ */ React.createElement("path", {
    d: "M18.906 9.438c0 5.203-4.222 9.425-9.426 9.425-5.207 0-9.425-4.222-9.425-9.425A9.424 9.424 0 019.48.011c5.204 0 9.426 4.218 9.426 9.425zm0 0"
  }), /* @__PURE__ */ React.createElement("path", {
    d: "M18.148 9.422a8.682 8.682 0 01-8.683 8.683c-4.797 0-8.688-3.886-8.688-8.683A8.689 8.689 0 019.465.734c4.797 0 8.683 3.891 8.683 8.688zm0 0"
  }), /* @__PURE__ */ React.createElement("path", {
    d: "M8.07 14.73c.676 0 1.446-.171 2.23-.492a.6.6 0 00.075-.031.957.957 0 00.066-.031l.008-.004h.004a7.572 7.572 0 001.02-.336c2.21-.906 3.144-2.36 3.277-3.426.164-1.305-.668-2.555-1.71-3.488a7.889 7.889 0 00-1.724-1.477c-.773-.496-1.566-.836-2.265-.992-.696-.156-1.305-.133-1.707.113-.383.235-.668.684-.864 1.352-.285.328-.496.832-.636 1.512-.145.683-.223 1.558-.239 2.636-.015 1.125.063 2.047.235 2.758.168.711.433 1.219.8 1.504.337.266.833.402 1.43.402zm2.754-1.55a7.05 7.05 0 001.785-1.04c-.46.606-1.191 1.212-2.277 1.688a5.424 5.424 0 01-.695.121c-.23.024-.45.024-.649.008-.394-.031-.718-.137-.945-.312l-.027-.024c.18.031.37.05.578.05.676 0 1.449-.171 2.23-.491zm2.387-2.414c-.004.046-.012.093-.02.144l-.035.137c-.476.644-1.27 1.3-2.472 1.797-.614.25-1.211.402-1.739.449-.52.047-.968-.008-1.3-.16-.352-.68-.524-1.836-.5-3.465.015-1.027.09-1.863.222-2.516.13-.636.313-1.093.551-1.379.738.051 1.71.415 2.676 1.032.699.449 1.402 1.054 1.906 1.738.508.687.809 1.453.71 2.223zM10.793 6.5c-.852-.543-1.727-.902-2.473-1.035.086-.031.18-.059.285-.074.09-.012.188-.02.293-.02.778 0 1.852.387 2.872 1.04a7.84 7.84 0 011.015.773c.645.753 1.063 1.636.953 2.523-.023.18-.07.371-.148.57-.05-.726-.387-1.422-.867-2.043-.528-.687-1.23-1.285-1.93-1.734zm-3.98-.406a.933.933 0 01.402-.254 1.43 1.43 0 01.246-.055c-.211.348-.371.82-.48 1.422-.122.66-.188 1.473-.204 2.457-.015 1.203.075 2.172.27 2.902-.16-.28-.29-.656-.379-1.129-.125-.64-.184-1.449-.168-2.43.016-1.25.121-2.218.313-2.913zm1.44-1.383c.556 0 1.263.2 1.997.55a5.25 5.25 0 00-.941-.222c-.532-.07-.993-.016-1.317.184-.086.05-.16.113-.238.187a2.043 2.043 0 00-.734.113c.148-.312.324-.523.523-.648.172-.105.41-.164.71-.164zm-.937 8.656l.016.012c.016.008.031.02.05.027.122.215.266.39.434.52.247.195.586.32.985.375a3.97 3.97 0 01-.989.054c-.394-.03-.714-.136-.94-.312-.306-.242-.54-.691-.692-1.355-.149-.668-.22-1.54-.203-2.622.015-1.054.09-1.91.23-2.566-.043.45-.066.95-.074 1.504-.016 1.125.058 2.047.23 2.758.172.71.438 1.218.805 1.508h.004c.035.027.07.05.11.074zm6.786-3.613c.043-.352.015-.7-.07-1.04.28.532.421 1.09.35 1.653-.1.79-.71 1.84-2.105 2.664.668-.601 1.055-1.25 1.22-1.828.362-.504.55-1.008.605-1.45zm0 0",
    fillRule: "evenodd"
  }));
}
DSM.DefaultColor = DefaultColor;
var DSM_default = DSM;
//# sourceMappingURL=DSM.js.map
